package com.gingersoft.gsa.cloud.main.mvp.model.bean;

import java.util.List;

public class OrderAnalysisBean {

    /**
     * success : true
     * sysTime : 1597391872452
     * data : {"billNumSum":17,"list":[{"payName":"Apple pay","billNum":2,"payAmount":22.8,"percentage":3.92},{"payName":"StripVisa","billNum":1,"payAmount":89.1,"percentage":15.3},{"payName":"中銀支付","billNum":1,"payAmount":96,"percentage":16.49},{"payName":"支付寶","billNum":2,"payAmount":92.4,"percentage":15.87},{"payName":"支付寶支付","billNum":5,"payAmount":100,"percentage":17.17},{"payName":"支付寶支付hk","billNum":1,"payAmount":31.5,"percentage":5.41},{"payName":"服務員確認","billNum":5,"payAmount":150.5,"percentage":25.85}],"amountSum":582.3}
     */
    private boolean success;
    private long sysTime;
    private DataBean data;

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public long getSysTime() {
        return sysTime;
    }

    public void setSysTime(long sysTime) {
        this.sysTime = sysTime;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public static class DataBean {
        /**
         * billNumSum : 17
         * list : [{"payName":"Apple pay","billNum":2,"payAmount":22.8,"percentage":3.92},{"payName":"StripVisa","billNum":1,"payAmount":89.1,"percentage":15.3},{"payName":"中銀支付","billNum":1,"payAmount":96,"percentage":16.49},{"payName":"支付寶","billNum":2,"payAmount":92.4,"percentage":15.87},{"payName":"支付寶支付","billNum":5,"payAmount":100,"percentage":17.17},{"payName":"支付寶支付hk","billNum":1,"payAmount":31.5,"percentage":5.41},{"payName":"服務員確認","billNum":5,"payAmount":150.5,"percentage":25.85}]
         * amountSum : 582.3
         */

        private int billNumSum;
        private double amountSum;
        private List<ListBean> list;

        public int getBillNumSum() {
            return billNumSum;
        }

        public void setBillNumSum(int billNumSum) {
            this.billNumSum = billNumSum;
        }

        public double getAmountSum() {
            return amountSum;
        }

        public void setAmountSum(double amountSum) {
            this.amountSum = amountSum;
        }

        public List<ListBean> getList() {
            return list;
        }

        public void setList(List<ListBean> list) {
            this.list = list;
        }

        public static class ListBean {
            /**
             * payName : Apple pay
             * billNum : 2
             * payAmount : 22.8
             * percentage : 3.92
             */
            private String payName;
            private int billNum;
            private double payAmount;
            private double percentage;

            public String getPayName() {
                return payName;
            }

            public void setPayName(String payName) {
                this.payName = payName;
            }

            public int getBillNum() {
                return billNum;
            }

            public void setBillNum(int billNum) {
                this.billNum = billNum;
            }

            public double getPayAmount() {
                return payAmount;
            }

            public void setPayAmount(double payAmount) {
                this.payAmount = payAmount;
            }

            public double getPercentage() {
                return percentage;
            }

            public void setPercentage(double percentage) {
                this.percentage = percentage;
            }
        }
    }
}
